# DBField Class Reference
[Dynamic query builder, Classes implemented in PHP's extension.]

Reference for actual DB-table column. More...

Inheritance diagram for DBField:
[legend]

List of all members.

## Public Member Functions

| __construct ($field, $table=null)
| toDialectString (Dialect $dialect)
| getField ()
| getTable ()
| setTable ($table)

## Static Public Member Functions

static | create ($field, $table=null)

## Private Attributes

| $field = null
| $table = null

## Detailed Description

Reference for actual DB-table column.

Definition at line 18 of file DBField.class.php.

## Constructor & Destructor Documentation

DBField::__construct | ( | $ | field,
|  | $ | table = `null` |
| ) |  |  |

Definition at line 23 of file DBField.class.php.

References $field, $table, and setTable().

Here is the call graph for this function:

## Member Function Documentation

static DBField::create | ( | $ | field,
|  | $ | table = `null` |
| ) |  |  | `[static]`

Returns:
  DBField

Definition at line 34 of file DBField.class.php.

References $field, and $table.

Referenced by ProtoDAO::fetchCollections(), CommonDaoWorker::getById(), Criteria::joinProperties(), UnifiedContainerWorker::makeCountQuery(), ClassProjection::process(), and ProtoDAO::processPath().

DBField::getField | ( |  | ) |

Definition at line 55 of file DBField.class.php.

DBField::getTable | ( |  | ) |

Returns:
  DialectString

Implements SQLTableName.

Definition at line 63 of file DBField.class.php.

DBField::setTable | ( | $ | table | ) |

Exceptions:

  | WrongStateException |

Returns:
  DBField

Definition at line 72 of file DBField.class.php.

References $table.

Referenced by __construct().

DBField::toDialectString | ( | Dialect $ | dialect | ) |

Implements DialectString.

Definition at line 39 of file DBField.class.php.

References $field, Dialect::quoteField(), and Dialect::toCasted().

Here is the call graph for this function:

## Member Data Documentation

DBField::$field = null`[private]`

Definition at line 20 of file DBField.class.php.

Referenced by __construct(), create(), and toDialectString().

DBField::$table = null`[private]`

Definition at line 21 of file DBField.class.php.

Referenced by __construct(), create(), and setTable().

The documentation for this class was generated from the following file:

- core/OSQL/DBField.class.php